Name: stunnel
Version: 3.26
Release: alt1.1

Summary: SSL-encrypting socket wrapper
Group: System/Servers
License: GPL
Url: http://www.%name.org

Source: %url/download/%name/src/%name-%version.tar.bz2
Source1: %name.cnf
Source2: README.Certificate-Creation
Source3: pop3-redirect.xinetd
Source4: pop3s.xinetd
Source5: imaps.xinetd

Patch1: %name-3.26-rh-authpriv.patch
Patch2: %name-3.22-alt-nosdfhtml.patch
Patch3: %name-3.26-alt-const-warning.patch
Patch4: %name-3.26-alt-log-warning.patch

PreReq: coreutils, openssl

# Automatically added by buildreq on Wed Dec 10 2003
BuildRequires: libssl-devel libwrap-devel

%description
The %name program is designed to work as SSL encryption wrapper between
remote clients and local (inetd-startable) or remote servers.  The concept is
that having non-SSL aware daemons running on your system you can easily set
them up to communicate with clients over secure SSL channels.

%name can be used to add SSL functionality to commonly used inetd daemons
like POP-2, POP-3, and IMAP servers, to standalone daemons like NNTP, SMTP
and HTTP, and in tunneling PPP over network sockets without changes to the
source code.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%__install -p -m644 %SOURCE1 %SOURCE2 %SOURCE3 .

%build
%def_enable Werror
%add_optflags -DNO_RC5 -DNO_IDEA
%define _ssldir	%_var/lib/ssl
%define _pemdir	%_ssldir/certs

%configure \
	--with-ssl=%prefix \
	--with-pem-dir=%_pemdir \
	--with-cert-file=%_ssldir/cert.pem \
	--with-cert-dir=%_ssldir/trusted \
	--with-tcp-wrappers

touch %name.{pem,sdf}
%make_build piddir=%_var/run

%install
%makeinstall \
	ssldir=$RPM_BUILD_ROOT%_ssldir \
	man8dir=$RPM_BUILD_ROOT%_mandir/man8 \
	piddir=$RPM_BUILD_ROOT%_var/run \
	PEM_DIR=$RPM_BUILD_ROOT%_pemdir
%__install -p -m644 %name.cnf $RPM_BUILD_ROOT%_ssldir/

%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/xinetd.d
%__install -pD -m640 %SOURCE4 %SOURCE5 $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/

%post
%post_ldconfig
cd %_pemdir
if [ ! -f %name.pem ]; then
	umask 077
	echo -e '\n.\n.\n.\n.\n.\n' |
		openssl req -newkey rsa:1024 -x509 -days 365 -nodes -config %_ssldir/%name.cnf \
		-keyout %name.pem -out %name.pem >/dev/null 2>&1
fi

%postun -p %postun_ldconfig

%files
%attr(755,root,root) %_sbindir/%name
%_libdir/%name.so*
%_man8dir/%name.*
%config(noreplace) %_sysconfdir/xinetd.d/*
%config(noreplace) %_ssldir/%name.cnf
%ghost %attr(600,root,root) %config(noreplace,missingok) %_pemdir/*
%doc BUGS FAQ HISTORY PORTS README TODO %name.html pop3-redirect.xinetd

%changelog
* Fri Jan 09 2004 Alexey Tourbin <at@altlinux.ru> 3.26-alt1.1
- prototypes.h: redefined log() to log_log() to workaround
  gcc bug c/9482 (math builtins are always visible)

* Wed Dec 10 2003 Alexey Tourbin <at@altlinux.ru> 3.26-alt1
- 3.26 (security update, CAN-2003-0740)
- rh-authpriv.patch updated
- rh-sigchld.patch merged upstream
- a warning fixed (alt-const-warning.patch), Werror mode enabled
- %_sbindir/%name permissions changed (711 -> 755)

* Mon Aug 04 2003 Dmitry V. Levin <ldv@altlinux.org> 3.22-alt3
- Applied SIGCHLD patch from RH.

* Fri Nov 22 2002 Rider <rider@altlinux.ru> 3.22-alt2
- rebuild (gcc 3.2)
- disable docs generation from sdf

* Thu Dec 27 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.22-alt1
- 3.22 (security).
- Merged RH patches:
  - log using LOG_AUTHPRIV facility by default (#47289)
  - implicitly trust certificates in %%_ssldir/trusted (#24034)

* Mon Aug 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.19-alt1
- 3.19

* Thu Aug 02 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.18-alt1
- 3.18

* Tue Jul 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.17-alt1
- 3.17

* Thu Jul 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.16-alt1
- 3.16

* Sat Feb 24 2001 Dmitry V. Levin <ldv@fandra.org> 3.14-ipl1
- 3.14

* Fri Jan 26 2001 Dmitry V. Levin <ldv@fandra.org> 3.13-ipl1
- 3.13

* Wed Jan 10 2001 Dmitry V. Levin <ldv@fandra.org> 3.11-ipl1mdk
- Initial revision.
